/**
 * Automatically set a mapbox element's props when the vue element props changes
 *
 * @param  {Vue}    vueElement    The Vue component in question
 * @param  {Mixed}  mapboxElement The Mapbox element bound to the component
 * @param  {Object} props         The component's props definition object
 * @return {void}
 */
declare const propNeedsBinding: (prop: any) => Boolean;
declare const getSetMethodName: (propName: string) => string;
declare function bindProps(vueElement: Vue, mapboxElement: any, props: any): void;
export { propNeedsBinding, getSetMethodName, bindProps as default };
