import components from './components';
import provideMap from './mixins/provideMap';
import injectMap from './mixins/injectMap';

import VueCompositionAPI from '@vue/composition-api';

/**
 * Install all components
 *
 * @param  {Vue}  Vue The Vue object
 * @return {void}
 */
export function install(Vue:any) {
  // if(!Vue.__composition_api_installed__)
  Vue.use(VueCompositionAPI);

  Object.keys(components).forEach((name) => {
    Vue.component(name, (components as any)[name]);
  });
}

export  {
  provideMap,
  injectMap
};

// Export each components separately
export * from './components';

// Export the install function as default
export default install;
